<div class="fav-note"><?= __('favorites_note') ?></div>
<div class="active-actions">
	<a href="#" class="" id="act-all" onclick="return Cubix.Favorites.Show({ page: 1, act: 1}, true);"><?= __('all_fav') ?></a>
	<a href="#" class="" id="act-active" onclick="return Cubix.Favorites.Show({ page: 1, act: 2}, true);"><?= __('active') ?></a>
	<a href="#" class="" id="act-inactive" onclick="return Cubix.Favorites.Show({ page: 1, act: 3}, true);"><?= __('inactive') ?></a>
</div>
<? if ($this->items): ?>
	<div class="escorts">
		<? $c = 0; ?>
		<? foreach ($this->items as $item): ?>
			<? if ( ! $item instanceof Model_EscortV2Item ): ?>
				<? $item = new Model_EscortV2Item($item);  ?>
			<? endif; ?>
			<div class="escort prem">
				<div class="photo_wrap">
					<a href="<?= $this->getLink('profile', array('showname' => $item['showname'], 'escort_id' => $item['escort_id'])) ?>" class="showname fleft"><?= $item['showname'] ?></a>
					<? if ($this->allowChat2()): ?>
						<? if (in_array($item['escort_id'], $this->chat_escort_ids)): ?>
							<a href="javascript:;" onClick="chat.chatWith('<?= $item['escort_user_id'] ?>');" class="chat-online"></a>
						<? else: ?>
							<a class="chat-offline"></a>
						<? endif; ?>
					<? endif; ?>
					<div class="clear"></div>
					<div class="esc-wrap esc-wrap-style-prem">
						<div class="wrap">
							<div class="image">
								<? if ($item['status'] != 32 || !$item['package_id'] || $item['package_id'] == 100): ?>
								<div class="disable-over">
									<div class="text"><?= __('currently_not_active') ?></div>
								</div>
								<? endif; ?>
								<? if ($item['is_new']): ?><span class="new"></span><? endif ?>
								<? if ($item['is_suspicious']): ?><span class="suspicious"></span><? endif ?>
								<? if ($item['verified_status'] == Model_Escorts::VERIFIED_STATUS_VERIFIED): ?><span class="p100s"></span><? endif; ?>
								
								<a href="<?= $this->getLink('profile', array('showname' => $item['showname'], 'escort_id' => $item['escort_id'])) ?>">
									<img class="escort-thumb" alt="" src="<?= $item->getMainPhoto()->getUrl('thumb') ?>" />
								</a>
							</div>
						</div>
					</div>
					<div class="info">
						<div class="city">
							<?= ($item['gender'] == GENDER_FEMALE || $item['gender'] == GENDER_TRANS) ? __('escort_girl') : __('escort_boy') ?> <?= $item['city'] ?>
						</div>
					</div>
				</div>
				<div class="clear"></div>
				<div class="control-box">
					<div class="actions">
						<a class="remove-fav" href="#" onclick="return Cubix.Favorites.Remove(<?= $item['escort_id'] ?>, 0)"> <?= $this->t('remove') ?></a>
						<? if (!$item['rank']): ?>
							<a class="add-to-top10" href="#" onclick="return Cubix.Favorites.AddToTop10(<?= $item['escort_id'] ?>)"> <?= __('add_to_top_10') ?></a>
						<? else: ?>
							<div class="empty-space"></div>
						<? endif; ?>
					</div>
					<div class="comment-box">
						<label class="personal-comment fleft"><?= $this->t('personal_comment') ?></label>
						<div class="plus"></div>
						<div class="clear"></div>
						<form action="" method="post" onsubmit="return Cubix.Favorites.AddComment(this)" class="none">
							<textarea><?= $item['comment'] ?></textarea>
							<input type="hidden" value="<?= $item['escort_id'] ?>"/>
							<input type="submit" class="save-message" value="<?= $this->t('save') ?>"/>
						</form>
					</div>
				</div>
			</div>
			<? $c ++; ?>
			<? if ($c == 3): ?>
				<div class="clear"></div>
				<? $c = 0; ?>
			<? endif; ?>
		<? endforeach ; ?>
		
		<div class="clear"></div>
	</div>

	<div class="page-action">
		<span>Per Page:</span>
		<a href="#" id="page-12" onclick="return Cubix.Favorites.Show({ page: 1, per_page: 12}, true);">12</a>
		<a href="#" id="page-24" onclick="return Cubix.Favorites.Show({ page: 1, per_page: 24}, true);">24</a>
		<a href="#" id="page-48" onclick="return Cubix.Favorites.Show({ page: 1, per_page: 48}, true);">48</a>
		<a href="#" id="page-96" onclick="return Cubix.Favorites.Show({ page: 1, per_page: 96}, true);">96</a>
		<a href="#" id="page-all" onclick="return Cubix.Favorites.Show({ page: 1, per_page: 1000}, true);">All</a>
	</div>
	<div class="clear"></div>

	<? $per_page = $this->per_page; ?>
	<? $pages_count = ceil($this->count / $per_page); ?>

	<? if ( $pages_count != 1 ): ?>
	<p class="dashboard-paging">
		<? $pages = $this->paging($this->count, $this->page, $per_page); ?>
		<? if ( 1 < $this->page): ?>
			<a class="prev" href="#" onclick="return Cubix.Favorites.Show({ page: <?= ($this->page - 1) ?>},true);"></a>
		<? endif ?>

		<? foreach ( $pages as $page ): ?>
		<? if ( $this->page == $page ): ?>
			<span><?= $page ?></span>
		<? else: ?>
			<a class="p" href="#" onclick="return Cubix.Favorites.Show({ page: <?= $page ?> },true);"><?= $page ?></a>
		<? endif ?>
		<? endforeach ?>

		<? if ( $pages_count > $this->page): ?>
			<a class="next" href="#" onclick="return Cubix.Favorites.Show({page: <?= ($this->page + 1) ?>},true);"></a>
		<? endif ?>
	</p>
	<? endif; ?>
<? else: ?>
	<?= __('no_escorts_found') ?>
<? endif; ?>
